/*
 * vdr-vodcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2007 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * $Id: i18n.cc 6511 2007-11-25 18:20:52Z svntobi $
 *
 */

#include <string>
#include <vector>
#include <iostream>
#include "../I18n.h"

using namespace std;

const char *I18nTranslate(const char* s, const char* Plugin)
{
    static vector<string> translations;
    translations.push_back(string("i18n:") + s);

    int i = 0;
    bool found = false;
    while (Phrases[i][0])
    {
        if (!strcmp(s, Phrases[i][0]))
        {
            found = true;
        }
        i++;
    }
    if (!found)
    {
        cerr << endl << "Warning: Translation needed for '" << s << "'" << endl;
    }
    return translations[translations.size()-1].c_str();
}
